RIAK(1)()

NAME
riak - Distributed, decentralized data storage system

SYNOPSIS
riak [start] [stop] [restart] [reboot] [ping] [console] [attach] [chkconfig]

DESCRIPTION
Riak is a distributed, decentralized data storage system written in Erlang.

Riak combines a decentralized key-value store, a flexible map/reduce engine, and a friendly HTTP/JSON query interface to provide a database ideally suited for web applications.

OPTIONS
The riak command controls the main server process, and accepts several subcommands for controlling and checking status of a node.

start
    Starts Riak node background process; outputs message "Node is already running!" when attempting to start an already running node.

stop
    Stops Riak node; outputs "ok" on success or warnings about the node not responding to pings when node is not responding or not running. If attached to Riak on the Erlang shell, stop like this example:

    (riak@example.com)1> q().

restart
    Stops and starts Riak node while maintaining current Erlang virtual machine; outputs "ok" on success or warnings about node not responding to pings when node is not responding or not running.

reboot
    Stops and starts Riak node while also exiting the current Erlang virtual machine; outputs "ok" on success or warnings about node not responding to pings when node is not responding or not running.

ping
    Pings Riak node as a basic test for node liveness; outputs "pong" on success or warnings about the not not responding to pings when node is not responding or not running.

console
    Start Riak as a foreground process with access to the Erlang console messages and shell; outputs "Node is already running - use 'riak attach' instead" when node is already running as a background process.

attach
    Attach to a running Riak process with access to the Erlang console messages and shell.

chkconfig
    Verify validity of node's app.config file.

AUTHORS
Riak is developed by Basho Technologies, Inc. http://basho.com